Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609325 - [abrt] crash in bitbake-1.8.10-4.fc12: <bb>:18:check_sanity:NameError: global name 'os' is not defined
[abrt] crash in bitbake-1.8.10-4.fc12: <bb>:18:check_sanity:NameError: global...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bitbake (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
abrt_hash:ba2da332
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 20:24 EDT by Hollis Blanchard
Modified: 2010-12-03 08:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:37:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.19 KB, text/plain)
2010-06-29 20:24 EDT, Hollis Blanchard
no flags Details

  None (edit)
Description Hollis Blanchard 2010-06-29 20:24:23 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/bitbake nano
comment: I'm just following the directions at http://wiki.openembedded.net/index.php/Getting_started
component: bitbake
executable: /usr/bin/bitbake
kernel: 2.6.32.14-127.fc12.i686.PAE
package: bitbake-1.8.10-4.fc12
reason: <bb>:18:check_sanity:NameError: global name 'os' is not defined
release: Fedora release 12 (Constantine)

backtrace
-----
<bb>:18:check_sanity:NameError: global name 'os' is not defined

Traceback (most recent call last):
  File "/usr/bin/bitbake", line 134, in <module>
    main()
  File "/usr/bin/bitbake", line 114, in main
    cooker = bb.cooker.BBCooker(configuration)
  File "/usr/lib/python2.6/site-packages/bb/cooker.py", line 65, in __init__
    self.parseConfigurationFile( os.path.join( "conf", "bitbake.conf" ) )
  File "/usr/lib/python2.6/site-packages/bb/cooker.py", line 406, in parseConfigurationFile
    bb.event.fire(bb.event.ConfigParsed(self.configuration.data))
  File "/usr/lib/python2.6/site-packages/bb/event.py", line 67, in fire
    if tmpHandler(event) == Handled:
  File "tmpHandler(e)", line 3, in tmpHandler
  File "<bb>", line 18, in check_sanity
NameError: global name 'os' is not defined

Local variables in innermost frame:
commands: <module 'commands' from '/usr/lib/python2.6/commands.pyc'>
e: <bb.event.ConfigParsed instance at 0x93efeec>
LooseVersion: <class distutils.version.LooseVersion at 0x944d47c>
note: <function note at 0xb758780c>
error: <function error at 0xb758787c>
minversion: '1.8.18'
__version__: '1.8.10'
data: <module 'bb.data' from '/usr/lib/python2.6/site-packages/bb/data.pyc'>

How to reproduce
-----
1. Check out openembedded.git
2. Create local.conf
3. bitbake nano
Comment 1 Hollis Blanchard 2010-06-29 20:24:24 EDT
Created attachment 427828 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 08:43:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 08:37:48 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.